Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle

From: Tak Kunihiro <[email-masked]>
Date: Tue, 08 Dec 2020 08:33:43 +0900

>>>> Then I see following messages.  No error is observed on Emacs 26.3.
>>>>
>>>>     Mark set
>>>>     Error in post-command-hook (jit-lock--antiblink-post-command): (error "Marker does not point anywhere")
>>>>     Error during redisplay: (jit-lock-function 3145) signaled (error "Marker does not point anywhere")
>>>
>>> João, could you please look into this?  If it's possible to fix this
>>> for Emacs 27.2, I'd like it to be fixed.
>>
>> Understood. Will do.
>
> Can't reproduce this on Emacs master.  Will try on 27.1
>
> I'm a bit unsure of what exactly "select all cells of the first org-table"
> means, as I'm not an Org-table user.  I assume the region that comprises
> those lines, but it has to come "inside" the table, otherwise the
> "copy-region" command won't work.

I meant "select all cells of the first org-table" to be following
action.

  (org-table-copy-region (1+ (org-table-begin)) (- (org-table-end) 2))

> Also cannot reproduce on 27.1.  Eli, can you?  If so, how did you interpret
> Tak Kunihiro's instructions?

I apologize that the file I posted is NG.  Please try the following file
as shown below.

I see those error on Emacs 27.1 for MacOS from emacsformacosx and that
for Windows from www.gnu.org/software/emacs.

### BEGINNING OF FILE "20201207-1200.tex" ###
-*- mode: latex -*-

| rownames                    |  acq | stone                  | session | kCNzCC | DD15N | DD13C |
| ref-coal-krt-2000-4-s1@4104 | 4104 | ref-coal-krt-2000-4-s1 | s109b   |     10 |     0 |     0 |
| ref-coal-krt-2000-4-s1@4105 | 4105 | ref-coal-krt-2000-4-s1 | s109b   |     10 |     0 |     0 |

|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|
|                       | 12C12C | 12C14N | 12C14Nz12C12C | d13Cion | d15Nion | N/C | d13C | d15N |
|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|
| cniso-mtx-ogl1-2@4112 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4113 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4114 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4115 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4116 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4117 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4118 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4119 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4124 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4125 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4126 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4127 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4128 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4129 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4130 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4131 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4132 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4133 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4134 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4135 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4136 |        |        |               |         |         |     |      |      |
|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|

I see error message "Marker does not point anywhere" during copy and
paste operation with org-table on Emacs 27.1.

    $ emacs -Q
    M-x find-file FOLLOWING_FILE
    Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
    Select all cells of the first org-table
    M-x org-table-copy-region
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle
    M-x undo
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle

Then I see following messages.  No error is observed on Emacs 26.3.

    Mark set
    Error in post-command-hook (jit-lock--antiblink-post-command): (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3145) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 1272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 1772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 2272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 2772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3772) signaled (error "Marker does not point anywhere")

I cannot tell what is the source of problem.  Can you fix this?
### END OF FILE ###